> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/platform/guides/data-setup-guide/localisation-module.md).

# Localisation Module

## Overview

This guide goes through inserting basic localisation for core DIGIT modules post-installation. Currently, localisation is an extra step post-install. We enter localisation data in bulk via REST API calls. [Postman collection](https://www.postman.com/collections/a140e7426ab4419ed5b5) is available to facilitate this process.

## Localisation Structure - Brief

The [releasekit](https://github.com/egovernments/releasekit/tree/master/localisation) repository contains all the localisation strings separated per module.

Base localisation strings are provided in the baseline folder. Localization is done per module per release. New strings in each release are contained in the respective release version folder. Depending on what modules have been installed, the localization strings have to be collated and then seeded using Postman Scripts.

For example, if DIGIT v2.7 with the PGR module has been installed, the localization strings for the PGR module have to be collated in the following order in JSON:

1. Baseline localization strings
2. v2.3
3. v2.4
4. v2.5
5. v2.6
6. v2.7

For convenience, a consolidated JSON file per module is created with each release under the [consolidated folder](https://github.com/egovernments/releasekit/tree/master/localisation/consolidated). To add the messages, copy the json string of one module and paste it into the body of the [JSON request](https://www.getpostman.com/collections/082221e70ad98af9877b) and hit upsert. Repeat this for each module.

## Localisation Setup

1. Download the [postman collection](https://www.postman.com/collections/a140e7426ab4419ed5b5) - Setup an environment in postman and add the following variables:
   * authToken
   * tenantId
2. Login to DIGIT as a citizen user from the browser. To get auth token on your webpage, right-click and go to Inspect > Network > payload > RequestInfo. Here you will find a variable named authToken which will be a 32-bit string. Paste it in the values field of the `authToken` variable in Postman and click on Save.
3. Run the **Insert Localization** script after adding the required localization messages for each module from [releasekit consolidated folder](https://github.com/egovernments/releasekit/tree/master/localisation/consolidated/en_IN) in the Postman script body.

{% hint style="info" %}
Run each module separately. Else, the server will throw a 40x error.
{% endhint %}

The modules to set up depending on what has been installed as part of DIGIT. For the DIGIT Core, we require localisation to be set up for the user module.

<table><thead><tr><th width="268">Module</th><th>Localization folder</th></tr></thead><tbody><tr><td>egov-user</td><td><a href="https://github.com/egovernments/releasekit/tree/master/localisation/digit_core">localization/digit_core</a></td></tr></tbody></table>

* Search endpoint: *domain*/localization/messages/v1/\_search
* Upsert endpoint: *domain*/localization/messages/v1/\_upsert


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digit.org/platform/guides/data-setup-guide/localisation-module.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
